## libmbim 1.28.2

=== meson_options.txt ===
# SPDX-License-Identifier: GPL-2.0-or-later
# Copyright (C) 2021 Iñigo Martinez <inigomartinez@gmail.com>

option('mbim_username', type: 'string', value: '', description: 'user allowed to access MBIM devices')

option('udevdir', type: 'string', value: '', description: 'where udev base directory is')

option('introspection', type: 'boolean', value: true, description: 'build introspection support')
option('gtk_doc', type: 'boolean', value: false, description: 'use gtk-doc to build documentation')
option('man', type: 'boolean', value: true, description: 'build man pages using help2man')

option('bash_completion', type: 'boolean', value: true, description: 'install bash completion files')

## libmbim 1.4.0

=== debian/changelog ===
libmbim (1.4.0-1) unstable; urgency=low

  * Initial release. (Closes: #716765)

 -- Thomas Bechtold <thomasbechtold@jpberlin.de>  Wed, 17 Jul 2013 11:36:33 +0200

=== debian/control ===
Source: libmbim
Section: libs
Priority: optional
Maintainer: Thomas Bechtold <thomasbechtold@jpberlin.de>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               pkg-config,
               libglib2.0-dev (>= 2.32),
               libgudev-1.0-dev (>= 147),
               gtk-doc-tools,
               libglib2.0-doc
Standards-Version: 3.9.4
Vcs-Git: git://git.debian.org/git/collab-maint/libmbim.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/libmbim.git;a=summary
Homepage: http://www.freedesktop.org/wiki/Software/libmbim/

Package: libmbim-glib0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Support library to use the MBIM protocol
 libmbim is a glib-based library for talking to WWAN modems and devices
 which speak the Mobile Interface Broadband Model (MBIM) protocol.

Package: libmbim-glib-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libmbim-glib0 (= ${binary:Version}), ${misc:Depends}, libglib2.0-dev
Suggests: devhelp
Description: Header files for adding MBIM support to applications that use glib
 libmbim is a glib-based library for talking to WWAN modems and devices
 which speak the Mobile Interface Broadband Model (MBIM) protocol.
 .
 This package contains the header, pkg-config and API documentation files for
 development applications using MBIM functionality from applications
 that use glib.

Package: libmbim-utils
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Utilities to use the MBIM protocol from the command line
 libmbim is a glib-based library for talking to WWAN modems and devices
 which speak the Mobile Interface Broadband Model (MBIM) protocol.
 .
 This package contains the utilities that make it easier to use MBIM
 functionality from the command line.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		--with-tests \
		--enable-gtk-doc \
		--enable-gtk-doc-html

#override_dh_strip:
#	dh_strip --dbg-package=libqmi-glib0-dbg

generate_manpages: binary-arch binary
	help2man --no-info --name "Control MBIM devices" debian/tmp/usr/bin/mbimcli --help-option "--help-all" > debian/mbimcli.1

.PHONY: generate_manpages

## libmbim 1.6.0

=== debian/changelog ===
libmbim (1.6.0-2ubuntu0.1) trusty-proposed; urgency=medium

  * debian/patches/delay_the_retry.patch: Increase the retry interval for
    Sierra EM7455 (Dell DW5811e). (LP: #1441095)

 -- Shih-Yuan Lee (FourDollars) <sylee@canonical.com>  Thu, 24 Sep 2015 11:45:13 +0800

libmbim (1.6.0-2) unstable; urgency=medium

  * debian/copyright: Mention GFDL-1.3+ license which is used for
    documentation (Closes: #732527).
  * debian/control: Bump Standards-Version to 3.9.5. No further changes
    needed.

 -- Thomas Bechtold <toabctl@debian.org>  Sun, 22 Dec 2013 13:21:38 +0100

libmbim (1.6.0-1) unstable; urgency=low

  * New upstream release (Closes: #731908)
  * Fix Multi-Arch: same problem with separated doc package (Closes: #728195)
  * debian/patches/0001-build-filter-out-non-public-symbols.patch: Dropped,
    applied upstream.
  * debian/libmbim-utils.install: Provide mbim-network binary.
  * debian/libmbim-utils.manpages: Install manpages provided by upstream.
  * debian/rules: manpage creation no longer needed. manpages are provided by
    upstream.
  * debian/control: Use Debian email address in maintainer field.

 -- Thomas Bechtold <toabctl@debian.org>  Mon, 16 Dec 2013 19:03:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libmbim
 Section: libs
 Priority: optional
-Maintainer: Thomas Bechtold <thomasbechtold@jpberlin.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Thomas Bechtold <toabctl@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                pkg-config,
@@ -9,7 +10,7 @@
                libgudev-1.0-dev (>= 147),
                gtk-doc-tools,
                libglib2.0-doc
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Git: git://git.debian.org/git/collab-maint/libmbim.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/libmbim.git;a=summary
 Homepage: http://www.freedesktop.org/wiki/Software/libmbim/
@@ -29,7 +30,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: libmbim-glib0 (= ${binary:Version}), ${misc:Depends}, libglib2.0-dev
-Suggests: devhelp
+Suggests: libmbim-glib-doc
 Description: Header files for adding MBIM support to applications that use glib
  libmbim is a glib-based library for talking to WWAN modems and devices
  which speak the Mobile Interface Broadband Model (MBIM) protocol.
@@ -37,6 +38,18 @@
  This package contains the header, pkg-config and API documentation files for
  development applications using MBIM functionality from applications
  that use glib.
+
+Package: libmbim-glib-doc
+Section: doc
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}
+Suggests: devhelp
+Description: API documentation for the MBIM protocol library
+ libmbim is a glib-based library for talking to WWAN modems and devices
+ which speak the Mobile Interface Broadband Model (MBIM) protocol.
+ .
+ This package contains the API reference for libmbim-glib.
 
 Package: libmbim-utils
 Section: net

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		--with-tests \
		--enable-gtk-doc \
		--enable-gtk-doc-html

#override_dh_strip:
#	dh_strip --dbg-package=libqmi-glib0-dbg

## libmbim 1.8.0

=== debian/changelog ===
libmbim (1.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/libmbim-glib0.symbols.

 -- Thomas Bechtold <toabctl@debian.org>  Tue, 25 Mar 2014 07:51:28 +0100

## libmbim 1.10.0

=== debian/changelog ===
libmbim (1.10.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply patch from Boris Egorov to fix bashisms (Closes: #772325)

 -- Jonathan Wiltshire <jmw@debian.org>  Fri, 19 Dec 2014 20:25:16 +0000

libmbim (1.10.0-2) unstable; urgency=medium

  * Team upload.
  * Use a strictly versioned dependency between libmbim-proxy and
    libmbim-glib4, so the two packages don't get out of sync.
  * Make any package linking against libmbim-glib4 get an explicit dependency
    on libmbim-proxy. The mbim-proxy binary is used internally by
    libmbim-glib4 and the package split is an implementation detail to
    properly support multi-arch. Convince lintian that this is intentional.

 -- Michael Biebl <biebl@debian.org>  Tue, 16 Sep 2014 23:03:20 +0200

libmbim (1.10.0-1) unstable; urgency=low

  * Team upload.

  [ Marius B. Kotsbak ]
  * New upstream release.
  * Rename libmbim-glib0 → libmbim-glib4 for the soname bump.
  * Add new package libmbim-proxy holding mbim-proxy binary.
  * Add debug info package libmbim-glib4-dbg.

  [ Michael Biebl ]
  * Use dh_install --list-missing to show uninstalled files.
  * Install man pages via dh_install.
  * Drop obsolete --with-tests configure option.

 -- Michael Biebl <biebl@debian.org>  Sun, 14 Sep 2014 03:13:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libmbim
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Thomas Bechtold <toabctl@debian.org>
+Maintainer: Thomas Bechtold <toabctl@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                pkg-config,
@@ -15,7 +14,7 @@
 Vcs-Browser: http://git.debian.org/?p=collab-maint/libmbim.git;a=summary
 Homepage: http://www.freedesktop.org/wiki/Software/libmbim/
 
-Package: libmbim-glib0
+Package: libmbim-glib4
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -25,11 +24,19 @@
  libmbim is a glib-based library for talking to WWAN modems and devices
  which speak the Mobile Interface Broadband Model (MBIM) protocol.
 
+Package: libmbim-glib4-dbg
+Section: debug
+Priority: extra
+Architecture: any
+Depends: libmbim-glib4 (= ${binary:Version}), ${misc:Depends}
+Description: Support library to use the MBIM protocol
+ This package contains detached debugging symbols.
+
 Package: libmbim-glib-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libmbim-glib0 (= ${binary:Version}), ${misc:Depends}, libglib2.0-dev
+Depends: libmbim-glib4 (= ${binary:Version}), ${misc:Depends}, libglib2.0-dev
 Suggests: libmbim-glib-doc
 Description: Header files for adding MBIM support to applications that use glib
  libmbim is a glib-based library for talking to WWAN modems and devices
@@ -61,3 +68,15 @@
  .
  This package contains the utilities that make it easier to use MBIM
  functionality from the command line.
+
+Package: libmbim-proxy
+Section: net
+Architecture: any
+Multi-Arch: foreign
+Depends: ${shlibs:Depends}, ${misc:Depends}, libmbim-glib4 (= ${binary:Version})
+Description: Proxy to communicate with MBIM ports
+ libmbim is a glib-based library for talking to WWAN modems and devices
+ which speak the Mobile Interface Broadband Model (MBIM) protocol.
+ .
+ This package contains the binary mbim-proxy used by libmbim to allow multiple
+ clients to use the same MBIM port simultaneously.

## libmbim 1.12.2

=== debian/changelog ===
libmbim (1.12.2-2ubuntu1) wily; urgency=medium

  * libmbim-glib: Increase the retry interval to 5 seconds. (LP: #1441095)

 -- Shih-Yuan Lee (FourDollars) <sylee@canonical.com>  Fri, 25 Sep 2015 15:59:59 +0800

libmbim (1.12.2-2) unstable; urgency=medium

  * Upload to unstable.
  * Add myself to Uploaders.

 -- Michael Biebl <biebl@debian.org>  Thu, 07 May 2015 01:18:23 +0200

libmbim (1.12.2-1) experimental; urgency=medium

  * Team upload.

  [ Marius B. Kotsbak ]
  * Imported Upstream version 1.12.2
  * Update debian/libmbim-glib4.symbols for new upstream release.
  * Update Debian standards version to the latest.
  * Add experimental branch config in gbp.conf.

  [ Michael Biebl ]
  * Update Vcs-* to use canonical URLs, use cgit and https for Vcs-Browser.

 -- Michael Biebl <biebl@debian.org>  Sun, 08 Feb 2015 23:53:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,9 @@
 Source: libmbim
 Section: libs
 Priority: optional
-Maintainer: Thomas Bechtold <toabctl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Thomas Bechtold <toabctl@debian.org>
+Uploaders: Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                pkg-config,
@@ -9,9 +11,9 @@
                libgudev-1.0-dev (>= 147),
                gtk-doc-tools,
                libglib2.0-doc
-Standards-Version: 3.9.5
-Vcs-Git: git://git.debian.org/git/collab-maint/libmbim.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/libmbim.git;a=summary
+Standards-Version: 3.9.6
+Vcs-Git: git://anonscm.debian.org/collab-maint/libmbim.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libmbim.git
 Homepage: http://www.freedesktop.org/wiki/Software/libmbim/
 
 Package: libmbim-glib4

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-gtk-doc \
		--enable-gtk-doc-html \
		--libexecdir=/usr/lib/libmbim

override_dh_install:
	dh_install -X.la --list-missing

override_dh_strip:
	dh_strip --dbg-package=libmbim-glib4-dbg

=== debian/watch ===
version=3
http://www.freedesktop.org/software/libmbim/libmbim-(.*)\.tar\.xz

## libmbim 1.12.4

=== debian/changelog ===
libmbim (1.12.4-1) unstable; urgency=medium

  [ Thomas Bechtold ]
  * Set biebl@debian.org as new Maintainer and move myself to
    Uploaders.

  [ Michael Biebl ]
  * New upstream release.
  * Use https:// for upstream homepage.
  * Drop libmbim-glib4-dbg now that we have automatic dbgsym packages.
  * Ensure proper upgrade from libmbim-glib4-dbg to new dbgsym packages by
    using dh_strip --dbgsym-migration. Bump Build-Depends on debhelper
    accordingly.
  * Bump Standards-Version to 3.9.7.
  * Drop debian/mbimcli.1 since we use the upstream man page.

 -- Michael Biebl <biebl@debian.org>  Sat, 19 Mar 2016 05:07:58 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: libmbim
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Thomas Bechtold <toabctl@debian.org>
-Uploaders: Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 9),
+Maintainer: Michael Biebl <biebl@debian.org>
+Uploaders: Thomas Bechtold <toabctl@debian.org>
+Build-Depends: debhelper (>= 9.20160114),
                dh-autoreconf,
                pkg-config,
                libglib2.0-dev (>= 2.32),
                libgudev-1.0-dev (>= 147),
                gtk-doc-tools,
                libglib2.0-doc
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Vcs-Git: git://anonscm.debian.org/collab-maint/libmbim.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libmbim.git
-Homepage: http://www.freedesktop.org/wiki/Software/libmbim/
+Homepage: https://www.freedesktop.org/wiki/Software/libmbim/
 
 Package: libmbim-glib4
 Section: libs
@@ -25,14 +24,6 @@
 Description: Support library to use the MBIM protocol
  libmbim is a glib-based library for talking to WWAN modems and devices
  which speak the Mobile Interface Broadband Model (MBIM) protocol.
-
-Package: libmbim-glib4-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: libmbim-glib4 (= ${binary:Version}), ${misc:Depends}
-Description: Support library to use the MBIM protocol
- This package contains detached debugging symbols.
 
 Package: libmbim-glib-dev
 Section: libdevel

=== debian/rules ===
--- 
+++ 
@@ -13,4 +13,4 @@
 	dh_install -X.la --list-missing
 
 override_dh_strip:
-	dh_strip --dbg-package=libmbim-glib4-dbg
+	dh_strip --dbgsym-migration='libmbim-glib4-dbg (<< 1.12.4-1~)'

## libmbim 1.14.0

=== debian/changelog ===
libmbim (1.14.0-1ubuntu0.16.04.1) xenial; urgency=medium

  * Backport to xenial (LP: #1725190).

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 28 Nov 2017 13:02:56 +0100

libmbim (1.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Explicitly build with udev support.
  * Update symbols file.
  * Bump Standards-Version to 3.9.8.
  * Install bash-completion file for mbimcli.

 -- Michael Biebl <biebl@debian.org>  Thu, 07 Jul 2016 23:34:33 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libmbim
 Section: libs
 Priority: optional
-Maintainer: Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Michael Biebl <biebl@debian.org>
 Uploaders: Thomas Bechtold <toabctl@debian.org>
 Build-Depends: debhelper (>= 9.20160114),
                dh-autoreconf,
@@ -10,7 +11,7 @@
                libgudev-1.0-dev (>= 147),
                gtk-doc-tools,
                libglib2.0-doc
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Git: git://anonscm.debian.org/collab-maint/libmbim.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libmbim.git
 Homepage: https://www.freedesktop.org/wiki/Software/libmbim/

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,7 @@
 	dh_auto_configure -- \
 		--enable-gtk-doc \
 		--enable-gtk-doc-html \
+		--with-udev \
 		--libexecdir=/usr/lib/libmbim
 
 override_dh_install:

## libmbim 1.14.2

=== debian/changelog ===
libmbim (1.14.2-2.1ubuntu1) bionic; urgency=medium

  * Fix a -Wincompatible-pointer-types warning, which fails the build.
  * This can be synced over with 1.16 once B+1 is open.

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 17 Apr 2018 12:16:07 +0100

libmbim (1.14.2-2.1) unstable; urgency=medium

  [ Manuel A. Fernandez Montecelo ]
  * Non-maintainer upload.

  [ Helmut Grohne ]
  * Fix FTCBFS: Skip documentation in arch-only build. (Closes: #872813)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Tue, 21 Nov 2017 01:15:38 +0100

libmbim (1.14.2-2) unstable; urgency=medium

  * Remove myself as Maintainer and reinstate Thomas Bechtold.

 -- Michael Biebl <biebl@debian.org>  Sat, 21 Oct 2017 00:47:49 +0200

libmbim (1.14.2-1) unstable; urgency=medium

  * New upstream version 1.14.2
  * Bump debhelper compat level to 10 for automatic dh-autoreconf
  * Update Vcs-* following the latest recommendation
  * Bump Standards-Version to 4.1.0
  * Switch to new dh_missing helper and use --fail-missing

 -- Michael Biebl <biebl@debian.org>  Thu, 31 Aug 2017 09:15:57 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,16 @@
 Source: libmbim
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Michael Biebl <biebl@debian.org>
-Uploaders: Thomas Bechtold <toabctl@debian.org>
-Build-Depends: debhelper (>= 9.20160114),
-               dh-autoreconf,
+Maintainer: Thomas Bechtold <toabctl@debian.org>
+Build-Depends: debhelper (>= 10.3),
                pkg-config,
                libglib2.0-dev (>= 2.32),
                libgudev-1.0-dev (>= 147),
                gtk-doc-tools,
                libglib2.0-doc
-Standards-Version: 3.9.8
-Vcs-Git: git://anonscm.debian.org/collab-maint/libmbim.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libmbim.git
+Standards-Version: 4.1.0
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/libmbim.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/libmbim.git
 Homepage: https://www.freedesktop.org/wiki/Software/libmbim/
 
 Package: libmbim-glib4

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

ifeq ($(filter libmbim-glib-doc,$(shell dh_listpackages)),)
configure_flags += --disable-gtk-doc --disable-gtk-doc-html
else
configure_flags += --enable-gtk-doc --enable-gtk-doc-html
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		$(configure_flags) \
		--with-udev \
		--libexecdir=/usr/lib/libmbim

override_dh_missing:
	dh_missing -X.la --fail-missing

override_dh_strip:
	dh_strip --dbgsym-migration='libmbim-glib4-dbg (<< 1.12.4-1~)'

## libmbim 1.16.0

=== debian/changelog ===
libmbim (1.16.0-1) unstable; urgency=medium

  * New upstream release 1.16.0 (Closes: #887974)
  * Adopting the package. (Closes: #888680)
  * debian/control: bump libglib-dev Depends to (>= 2.36) as required by the
    new release.
  * debian/libmbim-glib4.symbols: update symbols for new release.
  * debian/rules: add DPKG_GENSYMBOLS_CHECK_LEVEL=4; it's more verbose with
    added or changed symbols then.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 01 Mar 2018 09:24:23 -0500

## libmbim 1.18.0

=== debian/changelog ===
libmbim (1.18.0-1~ubuntu18.04.1) bionic; urgency=medium

  * New upstream release
    - Needed by ModemManager 1.10 (LP: #1819615).
  * debian/libmbim-glib4.symbols: Updated symbols for new release.
  * debian/patches/ref_cast.patch: Removed, not applicable any more on
    1.18.0.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 20 Mar 2019 20:37:29 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: libmbim
 Section: libs
 Priority: optional
-Maintainer: Thomas Bechtold <toabctl@debian.org>
+Maintainer: Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>
 Build-Depends: debhelper (>= 10.3),
                pkg-config,
-               libglib2.0-dev (>= 2.32),
+               libglib2.0-dev (>= 2.36),
                libgudev-1.0-dev (>= 147),
                gtk-doc-tools,
                libglib2.0-doc

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #!/usr/bin/make -f
 
+export DPKG_GENSYMBOLS_CHECK_LEVEL=4
 %:
 	dh $@

## libmbim 1.18.2

=== debian/changelog ===
libmbim (1.18.2-0.2) unstable; urgency=medium

  * debian/patches/git_deprecation_warnings.patch:
    - disable deprecation warnings, fix the build with the new glib version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 27 Aug 2019 10:31:37 +0100

libmbim (1.18.2-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 19 Aug 2019 11:25:54 +0200

libmbim (1.18.0-1) unstable; urgency=medium

  * New upstream release
    - Needed by ModemManager 1.10.
  * debian/libmbim-glib4.symbols: Updated symbols for new release.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 05 Feb 2019 23:12:29 +0100

## libmbim 1.22.0

=== debian/changelog ===
libmbim (1.22.0-2) unstable; urgency=medium

  * Really add the build-depends on autoconf-archive

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 27 Feb 2020 17:27:10 +0100

libmbim (1.22.0-1) unstable; urgency=medium

  * New upstream version
  * debian/control.in:
    - Build-Depends on autoconf-archive
  * debian/patches/git_deprecation_warnings.patch:
    - removed, included in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 27 Feb 2020 16:30:10 +0100

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>
 Build-Depends: debhelper (>= 10.3),
                pkg-config,
+               autoconf-archive,
                libglib2.0-dev (>= 2.36),
                libgudev-1.0-dev (>= 147),
                gtk-doc-tools,

## libmbim 1.24.4

=== debian/changelog ===
libmbim (1.24.4-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version (bug fixes).
  * debian/libmbim-glib4.symbols: Updated symbols for new release.

 -- Martin <debacle@debian.org>  Sat, 03 Oct 2020 22:50:39 +0000

libmbim (1.24.2-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version (bug fixes).
  * Fix reproducibility by removing superfluous Makefiles (Closes: #963603).

 -- Martin <debacle@debian.org>  Wed, 15 Jul 2020 07:24:31 +0000

libmbim (1.24.0-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version.

 -- Martin <debacle@debian.org>  Sun, 21 Jun 2020 10:38:28 +0000

libmbim (1.23.900-0.1) experimental; urgency=medium

  * Non-maintainer upload.
  * Add package for GObject introspection (new upstream feature).

 -- Martin <debacle@debian.org>  Mon, 08 Jun 2020 17:33:59 +0000

libmbim (1.22.0-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Bump debhelper to 12, no further changes
  * Bump Standards-Version to 4.5.0 (no further changes)
  * Move mbim-proxy to /usr/libexec (Closes: #954145)
  * Do not build-depend on libgudev-dev package on non-linux architectures
  * Add help2man to the build-dependencies to ensure that the manpages are
    properly built (Closes: #952124)
  * Move gtk-doc-tools and libglib2.0-doc to the B-D-I instead of the
    build-dependencies, mark the with <!nodoc>
  * Add Build-Depends-Package to the symbols file to please lintian
  * debian/control: Remove a duplication section, to please lintian
  * Add a symlink for the documentation in /usr/share/doc and adjust the
    docbase file. This fixes the doc-base-file-references-wrong-path lintian
    warning

 -- Laurent Bigonville <bigon@debian.org>  Thu, 30 Apr 2020 12:48:11 +0200

libmbim (1.22.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update Vcs-* to salsa.
  * Use Rules-Requires-Root: no

 -- Martin <debacle@debian.org>  Thu, 30 Apr 2020 00:18:09 +0000

## libmbim 1.24.6

=== debian/changelog ===
libmbim (1.24.6-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version (bug fixes).
  * Add upstream signing key.

 -- Martin <debacle@debian.org>  Fri, 22 Jan 2021 16:38:20 +0000

=== debian/rules ===
#!/usr/bin/make -f

export DPKG_GENSYMBOLS_CHECK_LEVEL=4
%:
	dh $@ --with gir

ifeq ($(filter libmbim-glib-doc,$(shell dh_listpackages)),)
configure_flags += --disable-gtk-doc --disable-gtk-doc-html
else
configure_flags += --enable-gtk-doc --enable-gtk-doc-html
endif

ifneq ($(filter linux,$(DEB_HOST_ARCH_OS)),)
configure_flags += --with-udev
else
configure_flags += --without-udev
endif

override_dh_auto_configure:
	dh_auto_configure -- --enable-introspection=yes $(configure_flags)

override_dh_missing:
	dh_missing -X.la --fail-missing

override_dh_strip:
	dh_strip --dbgsym-migration='libmbim-glib4-dbg (<< 1.12.4-1~)'

override_dh_installexamples:
	dh_installexamples -XMakefile

=== debian/watch ===
version=3
opts=pgpmode=auto \
https://www.freedesktop.org/software/libmbim/libmbim-(.*)\.tar\.xz

## libmbim 1.24.8

=== debian/changelog ===
libmbim (1.24.8-1~21.04) hirsute; urgency=medium

  [ Jerry Lee ]
  * Backport to hirsute. (LP: #1934286)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 08 Jul 2021 14:21:47 +0200

libmbim (1.24.8-1) experimental; urgency=medium

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 22 Jun 2021 12:18:09 +0200

## libmbim 1.26.2

=== debian/changelog ===
libmbim (1.26.2-1~ubuntu20.04.1) focal; urgency=medium

  * Backport to focal. (LP: #1965901)
  * Lower debhelper to 12 which is the version available on the serie

 -- Sebastien Bacher <seb128@debian.org>  Fri, 08 Apr 2022 11:33:15 +0200

libmbim (1.26.2-1) unstable; urgency=medium

  * New upstream version 1.26.2
  * d/control: avoid duplicate build dependencies and sort list
    `gtk-doc-tools` was added to `Build-Depends` in order to fix build with
    latest autotools, but it was pulled in unconditionally and left in
    `Build-Depends-Indep`. This commit makes sure we avoid duplicates and
    don't need `gtk-doc-tools` when building with the `nodoc` profile.
    We also took the opportunity to sort build dependencies by alphabetical
    order for better readability.
  * d/libmbim-glib4: update symbols file for new version
  * debian: update lintian-overrides.
    Due to a change in how `lintian` reports issues, the `libmbim-glib4`
    overrides were ignored. This commit updates the corresponding file in
    order to fix that and adds a new override for `libmbim-glib-doc`:
    installing documentation to `/usr/share/gtk-doc` instead of
    `/usr/share/doc` is the standard practice for glib/gtk-based software.
  * d/rules: drop --fail-missing option for dh_missing.
    This is now the default with dh-compat level 13.

 -- Arnaud Ferraris <arnaud.ferraris@collabora.com>  Tue, 07 Dec 2021 13:47:25 +0100

libmbim (1.26.0-2) unstable; urgency=medium

  * d/control: build-depend on gtk-doc-tools.

 -- Arnaud Ferraris <arnaud.ferraris@collabora.com>  Mon, 06 Dec 2021 17:24:36 +0100

libmbim (1.26.0-1) unstable; urgency=medium

  * New upstream version 1.26.0
  * d/control: change maintainer to DebianOnMobile team.
  * d/control: bump debhelper-compat version and Standards-Version.
  * d/copyright: add Upstream-Contact and update maintainer email
  * d/copyright: fix libmbim-glib path
  * debian: add salsa CI pipeline
  * d/source: add upstream metadata
  * d/control: update build dependencies.
  * d/libmbim-glib4: update symbols file for new version
  * d/watch: bump watch file version, no change required
  * d/rules: add hardening build options
  * d/changelog: prepare new release
  * d/control: add more Uploaders.

 -- Arnaud Ferraris <arnaud.ferraris@collabora.com>  Thu, 04 Nov 2021 17:16:51 +0100

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,27 @@
 Source: libmbim
 Section: libs
 Priority: optional
-Maintainer: Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>
-Build-Depends: debhelper (>= 10.3),
+Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
+Uploaders: Arnaud Ferraris <arnaud.ferraris@gmail.com>,
+           Guido Günther <agx@sigxcpu.org>,
+           Henry-Nicolas Tourneur <debian@nilux.be>,
+           Martin <debacle@debian.org>
+Build-Depends: debhelper-compat (= 12),
+               autoconf-archive,
+               gobject-introspection,
+               gtk-doc-tools <!nodoc>,
+               help2man,
+               libgirepository1.0-dev,
+               libglib2.0-dev (>= 2.56),
                pkg-config,
-               autoconf-archive,
-               libglib2.0-dev (>= 2.36),
-               libgudev-1.0-dev (>= 147),
-               gtk-doc-tools,
-               libglib2.0-doc
-Standards-Version: 4.1.0
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/libmbim.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/libmbim.git
+Build-Depends-Indep: libglib2.0-doc <!nodoc>
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/libmbim.git
+Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/libmbim
 Homepage: https://www.freedesktop.org/wiki/Software/libmbim/
 
 Package: libmbim-glib4
-Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -28,7 +34,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libmbim-glib4 (= ${binary:Version}), ${misc:Depends}, libglib2.0-dev
+Depends: libmbim-glib4 (= ${binary:Version}),
+         ${misc:Depends},
+         libglib2.0-dev,
+         gir1.2-mbim-1.0 (= ${binary:Version}),
 Suggests: libmbim-glib-doc
 Description: Header files for adding MBIM support to applications that use glib
  libmbim is a glib-based library for talking to WWAN modems and devices
@@ -44,6 +53,7 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends}
 Suggests: devhelp
+Build-Profiles: <!nodoc>
 Description: API documentation for the MBIM protocol library
  libmbim is a glib-based library for talking to WWAN modems and devices
  which speak the Mobile Interface Broadband Model (MBIM) protocol.
@@ -72,3 +82,16 @@
  .
  This package contains the binary mbim-proxy used by libmbim to allow multiple
  clients to use the same MBIM port simultaneously.
+
+Package: gir1.2-mbim-1.0
+Section: introspection
+Architecture: linux-any
+Multi-Arch: same
+Depends: ${gir:Depends},
+         ${shlibs:Depends},
+         ${misc:Depends}
+Description: GObject introspection data for libmbim-glib
+ libmbim is a glib-based library for talking to WWAN modems and devices
+ which speak the Mobile Interface Broadband Model (MBIM) protocol.
+ .
+ This package contains introspection data for the libmbim-glib library.

=== debian/rules ===
#!/usr/bin/make -f

export DPKG_GENSYMBOLS_CHECK_LEVEL=4
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with gir

ifeq ($(filter libmbim-glib-doc,$(shell dh_listpackages)),)
configure_flags += --disable-gtk-doc --disable-gtk-doc-html
else
configure_flags += --enable-gtk-doc --enable-gtk-doc-html
endif

override_dh_auto_configure:
	dh_auto_configure -- --enable-introspection=yes $(configure_flags)

override_dh_missing:
	dh_missing -X.la

override_dh_strip:
	dh_strip --dbgsym-migration='libmbim-glib4-dbg (<< 1.12.4-1~)'

override_dh_installexamples:
	dh_installexamples -XMakefile

=== debian/watch ===
version=4
opts=pgpmode=auto \
https://www.freedesktop.org/software/libmbim/libmbim-(.*)\.tar\.xz

## libmbim 1.26.4

=== debian/changelog ===
libmbim (1.26.4-1~bpo10+1) buster-backports-sloppy; urgency=medium

  * Create sloppy backport for Debian 10.

 -- Martin <debacle@debian.org>  Mon, 24 Oct 2022 22:30:34 +0000

libmbim (1.26.4-1) unstable; urgency=medium

  * debian: lintian-driven fixes and small improvements.
    This commit includes minor changes spotted by `lintian-brush`:
    - `d/copyright`: use `https` for the file format spec URL
    - `d/upstream/metadata`: append `.git` to repo URL
    - `d/rules`: drop symbols migration (1.12 is long gone)
  * New upstream version 1.26.4

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Thu, 19 May 2022 19:21:56 +0200

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
            Guido Günther <agx@sigxcpu.org>,
            Henry-Nicolas Tourneur <debian@nilux.be>,
            Martin <debacle@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                autoconf-archive,
                gobject-introspection,
-               gtk-doc-tools <!nodoc>,
+               gtk-doc-tools (>= 1.33.2~) <!nodoc>,
                help2man,
                libgirepository1.0-dev,
                libglib2.0-dev (>= 2.56),

=== debian/rules ===
--- 
+++ 
@@ -18,8 +18,5 @@
 override_dh_missing:
 	dh_missing -X.la
 
-override_dh_strip:
-	dh_strip --dbgsym-migration='libmbim-glib4-dbg (<< 1.12.4-1~)'
-
 override_dh_installexamples:
 	dh_installexamples -XMakefile

## libmbim 1.27~git20220823

=== debian/changelog ===
libmbim (1.27~git20220823-0ubuntu1) kinetic; urgency=medium

  * Update to a preversion doing a git snapshot, needed for newer hardware
  * B-D on meson and bash-completion
  * Updated the symbols

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 24 Aug 2022 11:52:15 +0200

## libmbim 1.28.0

=== debian/changelog ===
libmbim (1.28.0-1~ubuntu20.04.2) jammy; urgency=medium

  * Add fibocom mbim service to send at command (LP: #2076221)

 -- Dirk Su <dirk.su@canonical.com>  Wed, 07 Aug 2024 17:12:34 +0800

libmbim (1.28.0-1~ubuntu20.04.1) jammy; urgency=medium

  * Backport the newer modemmanager stack to the LTS as part of
    new hardware enablement including FM350 modems
    (lp: #1950282)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 13 Dec 2022 13:35:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: libmbim
 Section: libs
 Priority: optional
-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
 Uploaders: Arnaud Ferraris <arnaud.ferraris@gmail.com>,
            Guido Günther <agx@sigxcpu.org>,
            Henry-Nicolas Tourneur <debian@nilux.be>,
            Martin <debacle@debian.org>
-Build-Depends: debhelper-compat (= 13),
-               autoconf-archive,
+Build-Depends: bash-completion,
+               debhelper-compat (= 13),
                gobject-introspection,
-               gtk-doc-tools (>= 1.33.2~) <!nodoc>,
+               gtk-doc-tools <!nodoc>,
                help2man,
                libgirepository1.0-dev,
                libglib2.0-dev (>= 2.56),
+               meson,
                pkg-config,
 Build-Depends-Indep: libglib2.0-doc <!nodoc>
 Standards-Version: 4.6.0

=== debian/rules ===
#!/usr/bin/make -f

export DPKG_GENSYMBOLS_CHECK_LEVEL=4
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with gir

ifeq ($(filter libmbim-glib-doc,$(shell dh_listpackages)),)
configure_flags += -Dgtk_doc=false
else
configure_flags += -Dgtk_doc=true
endif

override_dh_auto_configure:
	dh_auto_configure -- -Dintrospection=true $(configure_flags)

override_dh_missing:
	dh_missing -X.la

override_dh_installexamples:
	dh_installexamples -XMakefile

## libmbim 1.28.2

=== debian/changelog ===
libmbim (1.28.2-1) unstable; urgency=medium

  * d/watch: only watch for stable releases
    `libmbim` has a x.y.z version numbering scheme where y is even for
    stable releases and odd for development ones. Stable release candidates
    have x.y-rcz version numbers with y being an even number. This change
    ensures we only watch for stable releases, including RCs.
  * New upstream version 1.28.2

 -- Arnaud Ferraris <aferraris@debian.org>  Mon, 19 Dec 2022 11:48:42 +0100

libmbim (1.28.0-1) unstable; urgency=medium

  * New upstream version 1.28.0
  * d/watch: look for git tags instead of source tarballs.
    Upstream stopped publishing source tarballs and now requests that we
    use (signed) git tags for new versions. Take this opportunity to update
    the upstream signing key.
  * d/rules: adapt to upstream build system change.
    Upstream switched from `autotools` to `meson`. As a consequence,
    configure options are handled differently, so let's adapt to those
    changes.
    Note: introspection is now enabled by default, so we don't need to
    explicitly enable it anymore.
  * d/control: update build dependencies
    `meson` is now the only build system supported for this package, which
    now also depends on `bash-completion` at build time. While at it,
    update my email and bump Standards-Version as no other change is
    required.
  * libmbim-glib4: update symbols file for new upstream release
  * debian: update lintian overrides

 -- Arnaud Ferraris <aferraris@debian.org>  Fri, 28 Oct 2022 14:25:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: libmbim
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
-Uploaders: Arnaud Ferraris <arnaud.ferraris@gmail.com>,
+Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
+Uploaders: Arnaud Ferraris <aferraris@debian.org>,
            Guido Günther <agx@sigxcpu.org>,
            Henry-Nicolas Tourneur <debian@nilux.be>,
            Martin <debacle@debian.org>
-Build-Depends: bash-completion,
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
+               bash-completion,
                gobject-introspection,
                gtk-doc-tools <!nodoc>,
                help2man,
@@ -17,7 +16,7 @@
                meson,
                pkg-config,
 Build-Depends-Indep: libglib2.0-doc <!nodoc>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/libmbim.git
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/libmbim

## libmbim 1.28.4

=== debian/changelog ===
libmbim (1.28.4-2) unstable; urgency=medium

  * Release to unstable

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 13 Jun 2023 16:35:22 +0200

libmbim (1.28.4-1) experimental; urgency=medium

  * New upstream version 1.28.4

 -- Arnaud Ferraris <aferraris@debian.org>  Sun, 23 Apr 2023 15:46:04 +0200

## libmbim 1.30.0

=== debian/changelog ===
libmbim (1.30.0-1) unstable; urgency=medium

  * New upstream version 1.30.0
  * d/clean: clean up python compiled bytecode files (Closes: #1046871)
  * libmbim-glib4: update symbols file for new upstream release

 -- Arnaud Ferraris <aferraris@debian.org>  Fri, 20 Oct 2023 12:49:46 +0200

## libmbim 1.31.2

=== debian/changelog ===
libmbim (1.31.2-0ubuntu4) oracular; urgency=medium

  * mbimcli,qmbe: AT over mbim support for Compal module (LP: #2071877)
    d/p/0001-mbimcli-qmbe-add-qmbe-mbim-service-and-cid-1-to-send.patch

 -- Kai-Chuan Hsieh <kaichuan.hsieh@canonical.com>  Fri, 28 Jun 2024 14:47:00 +0800

libmbim (1.31.2-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 02:07:22 +0000

libmbim (1.31.2-0ubuntu2) noble; urgency=medium

  * Include correctly the symbols refresh

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 29 Feb 2024 22:02:39 +0100

libmbim (1.31.2-0ubuntu1) noble; urgency=medium

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 29 Feb 2024 21:08:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libmbim
 Section: libs
 Priority: optional
-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
 Uploaders: Arnaud Ferraris <aferraris@debian.org>,
            Guido Günther <agx@sigxcpu.org>,
            Henry-Nicolas Tourneur <debian@nilux.be>,

## libmbim 1.31.95

=== debian/changelog ===
libmbim (1.31.95-2) unstable; urgency=medium

  * Upload release candidate to unstable
  * Add superficial autopkg test

 -- Guido Günther <agx@sigxcpu.org>  Mon, 10 Mar 2025 12:50:25 +0100

libmbim (1.31.95-1) experimental; urgency=medium

  * New upstream version 1.31.95

 -- Guido Günther <agx@sigxcpu.org>  Sun, 09 Mar 2025 22:05:19 +0100

libmbim (1.31.6-1) experimental; urgency=medium

  * Upload to experimental
  * gbp.conf: Use branches that don't conflict with released versions
  * New upstream version 1.31.6
  * Update symbols file
  * d/control: Use pkgconf

 -- Guido Günther <agx@sigxcpu.org>  Tue, 25 Feb 2025 14:54:46 +0100

## libmbim 1.32.0

=== meson_options.txt ===
--- 
+++ 
@@ -10,3 +10,5 @@
 option('man', type: 'boolean', value: true, description: 'build man pages using help2man')
 
 option('bash_completion', type: 'boolean', value: true, description: 'install bash completion files')
+
+option('fuzzer', type: 'boolean', value: false, description: 'build fuzzer tests')

=== debian/changelog ===
libmbim (1.32.0-2) unstable; urgency=medium

  [ Guido Günther ]
  * d/gbp.conf: Switch to debian/latest.
    And sync options with libqmi packaging

  [ Arnaud Ferraris ]
  * d/watch: convert to version 5.
    Use the new Gitlab template for easier management, but override the
    matching pattern so we only get stable (pre)releases, which have an even
    minor version number.
  * d/control: drop libgirepository1.0-dev build dependency.
    This one shouldn't be used anymore as it isn't multiarch-friendly.
    Instead, use a recent `gobject-introspection` and explicitly (build)
    depend on the needed `gir1.2-*-dev` packages.
    While at it, drop the now-obsolete `Rules-Requires-Root` and bump
    `Standards-Version` as no other change is needed. (Closes: #1118875)

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 28 Oct 2025 13:03:18 +0100

libmbim (1.32.0-1) unstable; urgency=medium

  * New upstream version. This is the release for the RC currently in Trixie.

 -- Guido Günther <agx@sigxcpu.org>  Tue, 08 Apr 2025 23:27:39 +0200

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,24 @@
 Source: libmbim
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
+Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
 Uploaders: Arnaud Ferraris <aferraris@debian.org>,
            Guido Günther <agx@sigxcpu.org>,
            Henry-Nicolas Tourneur <debian@nilux.be>,
            Martin <debacle@debian.org>
 Build-Depends: debhelper-compat (= 13),
                bash-completion,
-               gobject-introspection,
+               gir1.2-gio-2.0-dev,
+               gir1.2-glib-2.0-dev,
+               gir1.2-gobject-2.0-dev,
+               gobject-introspection (>= 1.80),
                gtk-doc-tools <!nodoc>,
                help2man,
-               libgirepository1.0-dev,
                libglib2.0-dev (>= 2.56),
                meson,
-               pkg-config,
+               pkgconf,
 Build-Depends-Indep: libglib2.0-doc <!nodoc>
-Standards-Version: 4.6.1
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/libmbim.git
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/libmbim
 Homepage: https://www.freedesktop.org/wiki/Software/libmbim/
@@ -37,9 +37,10 @@
 Architecture: any
 Multi-Arch: same
 Depends: libmbim-glib4 (= ${binary:Version}),
+         libglib2.0-dev,
+         ${gir:Depends},
          ${misc:Depends},
-         libglib2.0-dev,
-         gir1.2-mbim-1.0 (= ${binary:Version}),
+Provides: ${gir:Provides}
 Suggests: libmbim-glib-doc
 Description: Header files for adding MBIM support to applications that use glib
  libmbim is a glib-based library for talking to WWAN modems and devices
@@ -89,9 +90,7 @@
 Section: introspection
 Architecture: linux-any
 Multi-Arch: same
-Depends: ${gir:Depends},
-         ${shlibs:Depends},
-         ${misc:Depends}
+Depends: ${gir:Depends}, ${misc:Depends}
 Description: GObject introspection data for libmbim-glib
  libmbim is a glib-based library for talking to WWAN modems and devices
  which speak the Mobile Interface Broadband Model (MBIM) protocol.

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 endif
 
 override_dh_auto_configure:
-	dh_auto_configure -- -Dintrospection=true $(configure_flags)
+	dh_auto_configure -- -Ddefault_library=both $(configure_flags)
 
 override_dh_missing:
 	dh_missing -X.la

=== debian/tests/control ===
Test-Command: mbimcli  --help
Restrictions: superficial
Depends:
 libmbim-utils,

## libmbim 1.33.1

=== debian/changelog ===
libmbim (1.33.1-1) experimental; urgency=medium

  * New upstream development snapshot
  * Upload to experimental
  * d/gbp.conf: Switch to 1.33.x development snapshots
  * d/watch: Strip -dev suffix from tags
  * signing-key: Add key used for dev snapshots
  * d/watch: Allow snapshot versions
  * d/gbp.conf: Match development snapshots
  * Add new symbols

 -- Guido Günther <agx@sigxcpu.org>  Tue, 03 Jun 2025 16:31:54 +0200

=== debian/watch ===
version=4
opts="mode=git,pgpmode=gittag,uversionmangle=s/-(alpha|beta|rc)/~$1/;s/-dev//" \
  https://gitlab.freedesktop.org/mobile-broadband/@PACKAGE@.git \
  refs/tags/(\d+\.\d?[0-9][\.\-].*)

## libmbim 1.34.0

=== debian/changelog ===
libmbim (1.34.0-1) unstable; urgency=medium

  * New upstream release
  * debian/libmbim-glib4.symbols: update for new upstream release
  * d/control: drop now-unneeded Priority field
    `Priority: optional` is the default since Debian policy 4.7.3, let's
    drop it and bump Standards-Version accordingly.

 -- Arnaud Ferraris <aferraris@debian.org>  Mon, 19 Jan 2026 23:01:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: libmbim
 Section: libs
-Priority: optional
 Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
 Uploaders: Arnaud Ferraris <aferraris@debian.org>,
            Guido Günther <agx@sigxcpu.org>,
@@ -18,7 +17,7 @@
                meson,
                pkgconf,
 Build-Depends-Indep: libglib2.0-doc <!nodoc>
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/libmbim.git
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/libmbim
 Homepage: https://www.freedesktop.org/wiki/Software/libmbim/
